会員ポイント
POST
/webhook-customers-points
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/webhook-customers-points';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"contractId":"string","event":"string","action":"edited","transactionHeadIds":["1","10","12"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/webhook-customers-points \ --header 'Content-Type: application/json' \ --data '{ "contractId": "string", "event": "string", "action": "edited", "transactionHeadIds": [ "1", "10", "12" ] }'Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Smaregi-Event
string
イベント名 pos:customer-points
Request Body
Section titled “Request Body”Media typeapplication/json
object
contractId
契約ID
string
event
イベント
string
action
アクション
- edited: 更新
- bulk-update: 一括更新
string
transactionHeadIds
取引IDリスト
array
Example
{ "contractId": "string", "event": "string", "action": "edited", "transactionHeadIds": [ "1", "10", "12" ]}